Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.primitives.adapters
Class CharCollectionCollection

    java.lang.Object
      org.apache.commons.collections.primitives.adapters.AbstractCharCollectionCollection
          org.apache.commons.collections.primitives.adapters.CharCollectionCollection

All Implemented Interfaces:
  Collection, Serializable

public final class CharCollectionCollection
extends org.apache.commons.collections.primitives.adapters.AbstractCharCollectionCollection
implements Serializable

Adapts an `CharCollection` to the `Collection` interface.

This implementation delegates most methods to the provided `CharCollection` implementation in the "obvious" way.

Since:
  Commons Primitives 1.0
Version:
  $Revision: 1.3 $ $Date: 2003/10/16 20:49:38 $
Author:
  Rodney Waldhoff
See Also:
  Serialized Form

Constructor Summary
`CharCollectionCollection(CharCollection collection)` Creates a `Collection` wrapping the specified `CharCollection`.

Method Summary
`boolean` | `add(Object element)`
`boolean` | `addAll(Collection c)`
`void` | `clear()`
`boolean` | `contains(Object element)`
`boolean` | `containsAll(Collection c)`
`protected CharCollection` | `getCharCollection()`
`boolean` | `isEmpty()`
`Iterator` | `iterator()` `wraps` the `CharIterator` returned by my underlying `CharCollection`, if any.
`boolean` | `remove(Object element)`
`boolean` | `removeAll(Collection c)`
`boolean` | `retainAll(Collection c)`
`int` | `size()`
`Object[]` | `toArray()`
`Object[]` | `toArray(Object[] A)`
`String` | `toString()`
`static Collection` | `wrap(CharCollection collection)` Create a `Collection` wrapping the specified `CharCollection`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Collection
`equals, hashCode`

Constructor Detail

### CharCollectionCollection

    public CharCollectionCollection(CharCollection collection)

  Creates a `Collection` wrapping the specified `CharCollection`.

See Also:
  `wrap(org.apache.commons.collections.primitives.CharCollection)`

Method Detail

### wrap

    public static Collection wrap(CharCollection collection)

  Create a `Collection` wrapping the specified `CharCollection`. When the given collection is `null`, returns `null`.

  Parameters:
    `collection` - the (possibly `null`) `CharCollection` to wrap
  Returns:
    a `Collection` wrapping the given collection, or `null` when collection is `null`.

### getCharCollection

    protected CharCollection getCharCollection()

### add

    public boolean add(Object element)

  Specified by:
    `add` in interface `Collection`

### addAll

    public boolean addAll(Collection c)

  Specified by:
    `addAll` in interface `Collection`

### clear

    public void clear()

  Specified by:
    `clear` in interface `Collection`

### contains

    public boolean contains(Object element)

  Specified by:
    `contains` in interface `Collection`

### containsAll

    public boolean containsAll(Collection c)

  Specified by:
    `containsAll` in interface `Collection`

### toString

    public String toString()

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `Collection`

### iterator

    public Iterator iterator()

  `wraps` the `CharIterator` returned by my underlying `CharCollection`, if any.

  Specified by:
    `iterator` in interface `Collection`

### remove

    public boolean remove(Object element)

  Specified by:
    `remove` in interface `Collection`

### removeAll

    public boolean removeAll(Collection c)

  Specified by:
    `removeAll` in interface `Collection`

### retainAll

    public boolean retainAll(Collection c)

  Specified by:
    `retainAll` in interface `Collection`

### size

    public int size()

  Specified by:
    `size` in interface `Collection`

### toArray

    public Object[] toArray()

  Specified by:
    `toArray` in interface `Collection`

### toArray

    public Object[] toArray(Object[] A)

  Specified by:
    `toArray` in interface `Collection`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.